
<div class="container">
    <h6>*U tekstualni field za kreiranje objekata unosi se isto sto bi uneli u body aplikacije Postman prilikom kreiranja http POST zahteva</h6>
    <h2>Kreiraj film</h2>
    <button type="button" class="btn btn-block" (click)="exampleInputForCreateMovie()">Primer unosa u naredno polje</button>
    <textarea [(ngModel)]="exampleCreateMovie" rows="14" class="jsoninput" #movieJson>{{exampleCreateMovie}}</textarea>
    <button type="button" class="btn btn-block" (click)="createMovie(movieJson)">Kreiraj film</button>
    <button type="button" class="btn  btn-block" (click)="getMovies()">Osvezi filmove</button>
    <div *ngFor="let el of movies">
        <li>_id: {{el._id}}  naziv: {{el.name}}</li>
    </div>
    <h2>Kreiraj projekciju</h2>
    <button type="button" class="btn btn-block" (click)="exampleInputForCreateScreening()">Primer unosa u naredno polje</button>
    <textarea [(ngModel)]="exampleCreateScreening" rows="14" class="jsoninput"  #screeningJson></textarea>
    <button type="button" class="btn btn-block" (click)="createScreening(screeningJson)">Kreiraj projekciju</button>
    <button type="button" class="btn  btn-block" (click)="getScreenings()">Osvezi projekcije</button>
    <div *ngFor="let el of screenings">
        <li>
            <p>_id: {{el._id}} vreme: {{el.date}} {{el.showtime}}</p>
            <p>_id: {{el._id}}  id filma: {{el.movie}} id sale: {{el.cinemaHall}}</p>
        </li>
    </div>
    <h2>Kreiraj salu</h2>
    <button type="button" class="btn btn-block" (click)="exampleInputForCreateCinemaHall()">Primer unosa u naredno polje</button>
    <textarea [(ngModel)]="exampleCreateCinemaHall" rows="14" class="jsoninput" #cinemaHallJson></textarea>
    <button type="button" class="btn btn-block" (click)="createCinemaHall(cinemaHallJson)">Kreiraj salu</button>
    <button type="button" class="btn  btn-block" (click)="getCinemaHalls()">Osvezi sale</button>
    <div *ngFor="let el of cinemaHalls">
        <li>_id: {{el._id}}  naziv: {{el.name}}</li>
    </div>
    <h2>Brisanje</h2>
    <label for="idilab" class="iddel">Unesite id objekta za brisanje:   </label>
    <input id="idi" type="text" class="iddelinp" #id>
    <div class="row">
        <button type="button" class="btn  btn-block btn-3" (click)="deleteMovie(id.value)">Obrisi film</button>
        <button type="button" class="btn  btn-block btn-3" (click)="deleteScreening(id.value)">Obrisi projekciju</button>
        <button type="button" class="btn  btn-block btn-3" (click)="deleteCinemaHall(id.value)">Obrisi salu</button>    
    </div>
    <h2>Editovanje cinema info prikaza u footeru</h2>
    <button type="button" class="btn btn-block" (click)="exampleInputForCreateInfo()">Primer unosa u naredno polje</button>
    <textarea [(ngModel)]="exampleCreateInfo" rows="6" class="jsoninput" #infoJson></textarea>
    <button type="button" class="btn btn-block" (click)="updateInfo(infoJson)">Promeni neke opste informacije o bioskopu</button>
</div>